ElectroNeek Documentation

Cette page n’est pas encore traduite en français : elle est affichée en anglais.

Get a list of all Bot Runners

This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners

Valeurs possibles de {region} : na, cis, apac, latam, emea

Essayer

Envoyé depuis votre navigateur directement à l’API — rien ne transite par ce site, et le token API reste uniquement dans cet onglet.
Paramètres de requête
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runners'

Authentification

Utilisez un token API de la page Orchestrateur → Intégrations. Envoyez-le comme jeton bearer : Authorization: Bearer <token>.

Paramètres de requête

NomTypeObligatoireDescription
statusstring (ready, in_progress, offline)nonIt filters Bot Runners by status
login_asstringnonIt filters logged users by email, e.g., robot@electroneek.com
versionstringnonIt filters Bot Runners by version, e.g., 8.0.0
idsarray of stringnonIt filters by Bot Runner IDs.
namestringnonIt filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1

Réponse

200API returns the list of Bot Runners matching the filter criteria.
Corps de la réponse
object
listarray of objects
object
iduuidobligatoire

ID of the Bot Runner

namestringobligatoire

Name of the Bot Runner

statusstring (ready, in_progress, offline)obligatoire

Status of the Bot Runner

versionstringobligatoire

Version of the Bot Runner

login_asobjectobligatoire

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringobligatoire

Name of the computer where Bot Runner is installed.

Mis à jour